[meta-oe,WIP,3/7] libgnomeprint: Blacklist because of missing freetype-config

Submitted by Martin Jansa on July 7, 2014, 10:45 a.m.

Details

Message ID 1404729919-2903-3-git-send-email-Martin.Jansa@gmail.com
State Accepted, archived
Headers show

Commit Message

Martin Jansa July 7, 2014, 10:45 a.m.
Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
---
 meta-gnome/recipes-gnome/gnome/libgnomeprint_2.18.8.bb | 4 ++++
 1 file changed, 4 insertions(+)

Patch hide | download patch | download mbox

diff --git a/meta-gnome/recipes-gnome/gnome/libgnomeprint_2.18.8.bb b/meta-gnome/recipes-gnome/gnome/libgnomeprint_2.18.8.bb
index c224d86..c5fd152 100644
--- a/meta-gnome/recipes-gnome/gnome/libgnomeprint_2.18.8.bb
+++ b/meta-gnome/recipes-gnome/gnome/libgnomeprint_2.18.8.bb
@@ -1,6 +1,10 @@ 
 LICENSE = "GPLv2"
 SECTION = "x11/gnome/libs"
 
+# | checking for freetype-config... no
+# | configure: error: You need FreeType2 (freetype-devel v 2.x package) for this version of libgnomeprint
+PNBLACKLIST[libgnomeprint] = "Broken without freetype-config"
+
 DEPENDS = "libxml2 libgnomecups glib-2.0 pango libart-lgpl fontconfig popt gnome-common freetype"
 
 LIC_FILES_CHKSUM = "file://COPYING;md5=94d55d512a9ba36caa9b7df079bae19f"